Subject: Re: [Bitcoin-development] 0.3.24

From: Pieter Wuille <[email-masked]>
Date: Fri, 1 Jul 2011 10:00:43 +0200

On Fri, Jul 01, 2011 at 02:07:18AM +0200, Matt Corallo wrote:
> Due to the flood control limits becoming an issue again, it would appear
> we need a 0.3.24 release.  The idea is to have sipa's flood limit fix
> (https://github.com/sipa/bitcoin/commit/df94ed7ac0ed7bb3a96cf434ca3c64c4b475e37e),

I've cleaned the commit up a bit, and created a pull request (#369) for it.

> dnsseed on by default, and maybe UPnP enabled by default as well.

> I just got a DNSSeed up with reliable hosting which dynamically fills
> its hostname with random nodes known to be up and accepting connections
> (and on port 8333 and on version 0.3.19 or higher) (dnsseed.bluematt.me)
> and I hope others follow suit with
> https://github.com/TheBlueMatt/dnsseed (its poorly done but works just
> fine).  This was added to master in 44d16327.

Nice, we definitely needed something like that. It wouldn't hurt to have multiple
people running such a seed, to prevent problems with occasional outages of DNS seeds,
once we move away from IRC entirely.

> Since its no longer a
> static list, I think its time to enable dnsseed by default (I have one
> or two connections by the time the GUI opens when I use -dnsseed
> -noirc).

Agree.

> Also, I think UPnP by default would be a good idea as it could increase
> the percent of nodes which accept incoming connection (and other P2P
> applications which depend on the ability to accept incoming connections
> have it on by default as well, such as Skype).  Jgarzik has also
> suggested this, and I really dont see much of a reason not to.

Given that there is no public outcry against these programs automatically
opening holes in firewalls, I assume it's safe for us to do the same.

It should be clearly explained in the release notes, though.

> Also,
> https://github.com/bitcoin/bitcoin/commit/3a3eabb57ae41dd2162ca8230423abf4a90ef644 should be included to fix the no-connections-up segfault.

Yes.

So: I'm in favor of an emergency release 0.3.24 with upnp default enabled,
dnsseed default enabled, block send limit, no-connect segfault bugfix.
Anything else?

-- 
Pieter